<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__plxsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_plxsc_config_t</compoundname>
    <includes local="no">cy_ble_plxs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__plxsc__config__t_1a89e320c4aff013cc09a5732ea900c5fe" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__plxsc__t">cy_stc_ble_plxsc_t</ref> *</type>
        <definition>cy_stc_ble_plxsc_t* cy_stc_ble_plxsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="274" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="274" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxsc__config__t_1a897cb4b31cb746271d5b54d6e8f6c031" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_plxsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="277" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1102">
        <label>cy_stc_ble_plxsc_config_t</label>
        <link refid="structcy__stc__ble__plxsc__config__t" />
        <childnode refid="1103" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="1103">
        <label>cy_stc_ble_plxsc_t</label>
        <link refid="structcy__stc__ble__plxsc__t" />
        <childnode refid="1104" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="1104">
        <label>cy_stc_ble_plxsc_char_t</label>
        <link refid="structcy__stc__ble__plxsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="279" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="271" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="272" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__plxsc__config__t_1a89e320c4aff013cc09a5732ea900c5fe" virt="non-virtual"><scope>cy_stc_ble_plxsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__plxsc__config__t_1a897cb4b31cb746271d5b54d6e8f6c031" virt="non-virtual"><scope>cy_stc_ble_plxsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>